### Enumeration

# Shell ActionMode

since: 14

#### Declaration

    flags Shell.ActionMode

#### Description [src]

Controls in which GNOME Shell states an action (like keybindings and gestures) should be handled.

Available since: 14

#### Members

`SHELL_ACTION_MODE_NONE`

  Block action.

  - Value: `0`
  - Nickname: `none`
  - Available since: 14
`SHELL_ACTION_MODE_NORMAL`

  Allow action when in window mode, e.g. when the focus is in an application window.

  - Value: `1`
  - Nickname: `normal`
  - Available since: 14
`SHELL_ACTION_MODE_OVERVIEW`

  Allow action while the overview is active.

  - Value: `2`
  - Nickname: `overview`
  - Available since: 14
`SHELL_ACTION_MODE_LOCK_SCREEN`

  Allow action when the screen is locked, e.g. when the screen shield is shown.

  - Value: `4`
  - Nickname: `lock-screen`
  - Available since: 14
`SHELL_ACTION_MODE_UNLOCK_SCREEN`

  Allow action in the unlock dialog.

  - Value: `8`
  - Nickname: `unlock-screen`
  - Available since: 14
`SHELL_ACTION_MODE_LOGIN_SCREEN`

  Allow action in the login screen.

  - Value: `16`
  - Nickname: `login-screen`
  - Available since: 14
`SHELL_ACTION_MODE_SYSTEM_MODAL`

  Allow action when a system modal dialog (e.g. authentication or session dialogs) is open.

  - Value: `32`
  - Nickname: `system-modal`
  - Available since: 14
`SHELL_ACTION_MODE_LOOKING_GLASS`

  Allow action in looking glass.

  - Value: `64`
  - Nickname: `looking-glass`
  - Available since: 14
`SHELL_ACTION_MODE_POPUP`

  Allow action while a shell menu is open.

  - Value: `128`
  - Nickname: `popup`
  - Available since: 14
`SHELL_ACTION_MODE_ALL`

  Always allow action.

  - Value: `-1`
  - Nickname: `all`
  - Available since: 14